Option Explicit

Const cBaseURI = "http://www.happy2-island.com/cgi/acsdb/acsdb.cgi"

'-------------------------------------------------------------------------------
'ACSo[W`FbN
'-------------------------------------------------------------------------------
Function fACSVersionCheck()

    Dim strURI
    Dim tmpStatus

    tmpStatus = CStr(fWebDbAccess(cBaseURI & "?m=vck&" & fHttpParm()))

    If tmpStatus <> "<ver>" then
       tmpStatus = Replace(tmpStatus, "<", vbNullString)
       tmpStatus = Replace(tmpStatus, ">", vbNullString)
       fACSVersionCheck = tmpStatus
    Else
       fACSVersionCheck = cScriptVer
    End If

End Function

'-------------------------------------------------------------------------------
'ACSpb`L`FbN
'-------------------------------------------------------------------------------
'Function fACSPatchCheck()
'
'    Dim strURI
'    Dim tmpStatus
'
'    tmpStatus = CStr(fWebDbAccess(cBaseURI & "?m=pck&" & fHttpParm()))
'
'    If tmpStatus <> "<pch>" then
'       tmpStatus = Replace(tmpStatus, "<", vbNullString)
'       tmpStatus = Replace(tmpStatus, ">", vbNullString)
'       fACSPatchCheck = tmpStatus
'    Else
'       fACSPatchCheck = vbNullString
'    End If
'
'
'End Function

'-------------------------------------------------------------------------------
'WebDBԃ`FbN
'-------------------------------------------------------------------------------
Function fWebDBCheck()

    Dim strURI
    Dim tmpStatus

    tmpStatus = CStr(fWebDbAccess(cBaseURI & "?" & fHttpParm()))

    fWebDBCheck = tmpStatus

End Function

'-------------------------------------------------------------------------------
'WebDBƉ
'-------------------------------------------------------------------------------
Function fGetWebDB(pHash)

    Dim strURI
    Dim strLetter

    If Trim(pHash) = vbNullString Then
       fGetWebDB = vbNullString
       Exit Function
    End If

    strLetter = CStr(fWebDbAccess(cBaseURI & "?jx=p&h=" & pHash & "&" & fHttpParm()))

    If InStr(1, strLetter, "<") > 0 Then
       strLetter = vbNullString
    End If

    fGetWebDB = strLetter

End Function

'-------------------------------------------------------------------------------
'WebDBo^
'-------------------------------------------------------------------------------
Function fAddWebDB(pLetter, pHash)

    Dim strURI
    Dim strLetter
    Dim strStatus

    If Trim(pLetter) = vbNullString Or _
       Trim(pHash) = vbNullString Then
       fAddWebDB = vbNullString
       Exit Function
    End If

    strStatus = CStr(fWebDbAccess(cBaseURI & "?l=" & pLetter & "&h=" & pHash & "&" & fHttpParm()))

    fAddWebDB = strStatus

End Function

'-------------------------------------------------------------------------------
'WebDB폜
'-------------------------------------------------------------------------------
Function fDellWebDB(pLetter, pHash)

    Dim strURI
    Dim strLetter
    Dim strStatus

    If Trim(pLetter) = vbNullString Or _
       Trim(pHash) = vbNullString Then
       fDellWebDB = vbNullString
       Exit Function
    End If

    strStatus = CStr(fWebDbAccess(cBaseURI & "?s=x&l=" & pLetter & "&h=" & pHash & "&" & fHttpParm()))

    fDellWebDB = strStatus

End Function

'-------------------------------------------------------------------------------
'Parm
'-------------------------------------------------------------------------------
Function fHttpParm()

    Dim tmpParm

    tmpParm = fDateTime2()
    tmpParm = tmpParm & fGetCheckDigit(tmpParm)

    fHttpParm = "sp=" & tmpParm & "&v=" & cScriptVer

End Function

'-------------------------------------------------------------------------------
'WebDBC^[tF[X
'-------------------------------------------------------------------------------
Function fWebDbAccess(pURI)

    Dim objHttp

    On Error Resume Next

    Set objHttp = CreateObject("MSXML2.XMLHTTP")
    If Err.Number <> 0 Then
       Set objHttp = CreateObject("Microsoft.XMLHTTP")
       If Err.Number <> 0 Then
          Set objHttp = CreateObject("MSXML.XMLHTTP")
          If Err.Number <> 0 Then
             Set objHttp = CreateObject("MSXML3.XMLHTTP")
          End If
       End If
    End If

    If objHttp Is Nothing Then
        Exit Function
    End If

    With objHttp

        .Open "GET", pURI, False
        .Send

         If .Status >= 200 And .Status < 300 Then
            fWebDbAccess = .responseText
         Else
            fWebDbAccess = vbNullString
         End If

    End With

    On Error GoTo 0

    Set objHttp = Nothing

End Function
